--- old/usr/src/uts/common/inet/sctp/sctp_addr.c	2014-07-28 07:44:30.258120073 -0400
+++ new/usr/src/uts/common/inet/sctp/sctp_addr.c	2014-07-28 07:44:30.264071392 -0400
@@ -137,7 +137,7 @@
 	rw_destroy(&sctp_ipif->sctp_ipif_lock);
 	kmem_free(sctp_ipif, sizeof (sctp_ipif_t));
 
-	(void) atomic_add_32_nv(&sctp_ill->sctp_ill_ipifcnt, -1);
+	(void) atomic_dec_32_nv(&sctp_ill->sctp_ill_ipifcnt);
 	if (rw_tryupgrade(&sctps->sctps_g_ills_lock) != 0) {
 		rw_downgrade(&sctps->sctps_g_ipifs_lock);
 		if (sctp_ill->sctp_ill_ipifcnt == 0 &&
@@ -884,8 +884,8 @@
 	ASSERT(sctp_ipif->sctp_ipif_ill == fsctp_ill);
 	sctp_ipif->sctp_ipif_ill = tsctp_ill;
 	rw_exit(&sctp_ipif->sctp_ipif_lock);
-	(void) atomic_add_32_nv(&fsctp_ill->sctp_ill_ipifcnt, -1);
-	atomic_add_32(&tsctp_ill->sctp_ill_ipifcnt, 1);
+	(void) atomic_dec_32_nv(&fsctp_ill->sctp_ill_ipifcnt);
+	atomic_inc_32(&tsctp_ill->sctp_ill_ipifcnt);
 	rw_exit(&sctps->sctps_g_ipifs_lock);
 	rw_exit(&sctps->sctps_g_ills_lock);
 }
@@ -1097,8 +1097,7 @@
 			sctps->sctps_g_ipifs_count--;
 			rw_destroy(&osctp_ipif->sctp_ipif_lock);
 			kmem_free(osctp_ipif, sizeof (sctp_ipif_t));
-			(void) atomic_add_32_nv(&osctp_ill->sctp_ill_ipifcnt,
-			    -1);
+			(void) atomic_dec_32_nv(&osctp_ill->sctp_ill_ipifcnt);
 		}
 	}
 
@@ -1130,7 +1129,7 @@
 	list_insert_head(&sctps->sctps_g_ipifs[hindex].sctp_ipif_list,
 	    (void *)sctp_ipif);
 	sctps->sctps_g_ipifs[hindex].ipif_count++;
-	atomic_add_32(&sctp_ill->sctp_ill_ipifcnt, 1);
+	atomic_inc_32(&sctp_ill->sctp_ill_ipifcnt);
 	if (sctp_ipif->sctp_ipif_state == SCTP_IPIFS_UP)
 		sctp_chk_and_updt_saddr(hindex, sctp_ipif, sctps);
 	rw_exit(&sctps->sctps_g_ipifs_lock);
@@ -1210,7 +1209,7 @@
 		sctps->sctps_g_ipifs_count--;
 		rw_destroy(&sctp_ipif->sctp_ipif_lock);
 		kmem_free(sctp_ipif, sizeof (sctp_ipif_t));
-		(void) atomic_add_32_nv(&sctp_ill->sctp_ill_ipifcnt, -1);
+		(void) atomic_dec_32_nv(&sctp_ill->sctp_ill_ipifcnt);
 		if (rw_tryupgrade(&sctps->sctps_g_ills_lock) != 0) {
 			rw_downgrade(&sctps->sctps_g_ipifs_lock);
 			if (sctp_ill->sctp_ill_ipifcnt == 0 &&
@@ -2030,8 +2029,7 @@
 			list_remove(&sctps->sctps_g_ipifs[i].sctp_ipif_list,
 			    sctp_ipif);
 			sctps->sctps_g_ipifs_count--;
-			(void) atomic_add_32_nv(&sctp_ill->sctp_ill_ipifcnt,
-			    -1);
+			(void) atomic_dec_32_nv(&sctp_ill->sctp_ill_ipifcnt);
 			kmem_free(sctp_ipif, sizeof (sctp_ipif_t));
 			sctp_ipif =
 			    list_tail(&sctps->sctps_g_ipifs[i].sctp_ipif_list);
--- old/usr/src/uts/common/inet/sctp/sctp_conn.c	2014-07-28 07:44:30.502218212 -0400
+++ new/usr/src/uts/common/inet/sctp/sctp_conn.c	2014-07-28 07:44:30.508166226 -0400
@@ -168,9 +168,9 @@
 	if (slc != NULL) {
 		int64_t now;
 
-		if (atomic_add_32_nv(&slc->slc_cnt, 1) > slc->slc_max + 1) {
+		if (atomic_inc_32_nv(&slc->slc_cnt) > slc->slc_max + 1) {
 			now = ddi_get_lbolt64();
-			atomic_add_32(&slc->slc_cnt, -1);
+			atomic_dec_32(&slc->slc_cnt);
 			SCTP_KSTAT(sctps, sctp_listen_cnt_drop);
 			slc->slc_drop++;
 			if (now - slc->slc_report_time >
@@ -189,7 +189,7 @@
 
 	if ((eager = sctp_create_eager(sctp)) == NULL) {
 		if (slc_set)
-			atomic_add_32(&slc->slc_cnt, -1);
+			atomic_dec_32(&slc->slc_cnt);
 		return (NULL);
 	}
 	econnp = eager->sctp_connp;
--- old/usr/src/uts/common/inet/sctp/sctp_impl.h	2014-07-28 07:44:30.687075160 -0400
+++ new/usr/src/uts/common/inet/sctp/sctp_impl.h	2014-07-28 07:44:30.693117018 -0400
@@ -404,7 +404,7 @@
 #define	SCTP_DECR_LISTEN_CNT(sctp)					\
 {									\
 	ASSERT((sctp)->sctp_listen_cnt->slc_cnt > 0);			\
-	if (atomic_add_32_nv(&(sctp)->sctp_listen_cnt->slc_cnt, -1) == 0) \
+	if (atomic_dec_32_nv(&(sctp)->sctp_listen_cnt->slc_cnt) == 0) \
 		kmem_free((sctp)->sctp_listen_cnt, sizeof (sctp_listen_cnt_t));\
 	(sctp)->sctp_listen_cnt = NULL;					\
 }
--- old/usr/src/uts/common/inet/tcp/tcp_input.c	2014-07-28 07:44:30.893141871 -0400
+++ new/usr/src/uts/common/inet/tcp/tcp_input.c	2014-07-28 07:44:30.899248501 -0400
@@ -1426,10 +1426,10 @@
 		tcp_listen_cnt_t *tlc = listener->tcp_listen_cnt;
 		int64_t now;
 
-		if (atomic_add_32_nv(&tlc->tlc_cnt, 1) > tlc->tlc_max + 1) {
+		if (atomic_inc_32_nv(&tlc->tlc_cnt) > tlc->tlc_max + 1) {
 			mutex_exit(&listener->tcp_eager_lock);
 			now = ddi_get_lbolt64();
-			atomic_add_32(&tlc->tlc_cnt, -1);
+			atomic_dec_32(&tlc->tlc_cnt);
 			TCP_STAT(tcps, tcp_listen_cnt_drop);
 			tlc->tlc_drop++;
 			if (now - tlc->tlc_report_time >
@@ -1871,7 +1871,7 @@
 error2:
 	freemsg(mp);
 	if (tlc_set)
-		atomic_add_32(&listener->tcp_listen_cnt->tlc_cnt, -1);
+		atomic_dec_32(&listener->tcp_listen_cnt->tlc_cnt);
 }
 
 /*
--- old/usr/src/uts/common/inet/tcp_impl.h	2014-07-28 07:44:31.271312592 -0400
+++ new/usr/src/uts/common/inet/tcp_impl.h	2014-07-28 07:44:31.277321045 -0400
@@ -371,7 +371,7 @@
 #define	TCP_DECR_LISTEN_CNT(tcp)					\
 {									\
 	ASSERT((tcp)->tcp_listen_cnt->tlc_cnt > 0);			\
-	if (atomic_add_32_nv(&(tcp)->tcp_listen_cnt->tlc_cnt, -1) == 0) \
+	if (atomic_dec_32_nv(&(tcp)->tcp_listen_cnt->tlc_cnt) == 0) \
 		kmem_free((tcp)->tcp_listen_cnt, sizeof (tcp_listen_cnt_t)); \
 	(tcp)->tcp_listen_cnt = NULL;					\
 }
--- old/usr/src/uts/common/io/bscbus.c	2014-07-28 07:44:31.459257227 -0400
+++ new/usr/src/uts/common/io/bscbus.c	2014-07-28 07:44:31.465387861 -0400
@@ -2622,7 +2622,7 @@
 		return;
 	if ((bscbus_cmd_log_flags & (1 << cat)) == 0)
 		return;
-	idx = atomic_add_32_nv(&ssp->cmd_log_idx, 1);
+	idx = atomic_inc_32_nv(&ssp->cmd_log_idx);
 	logp = &ssp->cmd_log[idx % ssp->cmd_log_size];
 	logp->bcl_seq = idx;
 	logp->bcl_cat = cat;
--- old/usr/src/uts/common/io/chxge/pe.c	2014-07-28 07:44:31.701241464 -0400
+++ new/usr/src/uts/common/io/chxge/pe.c	2014-07-28 07:44:31.707318343 -0400
@@ -35,8 +35,6 @@
  * Interface code
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/systm.h>
 #include <sys/cmn_err.h>
@@ -1390,7 +1388,7 @@
 		 * We decrement here so anyone trying to do fini will
 		 * only remove the driver once the counts go to 0.
 		 */
-		atomic_add_32(&buffers_in_use[i], -1);
+		atomic_dec_32(&buffers_in_use[i]);
 
 		return;
 	}
@@ -1403,7 +1401,7 @@
 	/*
 	 * decrement count of receive buffers freed by callback
 	 */
-	atomic_add_32(&buffers_in_use[rbp->cs_index], -1);
+	atomic_dec_32(&buffers_in_use[rbp->cs_index]);
 }
 
 /*
@@ -1433,7 +1431,7 @@
 		 * We decrement here so anyone trying to do fini will
 		 * only remove the driver once the counts go to 0.
 		 */
-		atomic_add_32(&buffers_in_use[i], -1);
+		atomic_dec_32(&buffers_in_use[i]);
 
 		return;
 	}
@@ -1446,7 +1444,7 @@
 	/*
 	 * decrement count of receive buffers freed by callback
 	 */
-	atomic_add_32(&buffers_in_use[rbp->cs_index], -1);
+	atomic_dec_32(&buffers_in_use[rbp->cs_index]);
 }
 
 /*
--- old/usr/src/uts/common/io/comstar/lu/stmf_sbd/sbd.c	2014-07-28 07:44:31.920897715 -0400
+++ new/usr/src/uts/common/io/comstar/lu/stmf_sbd/sbd.c	2014-07-28 07:44:31.926951116 -0400
@@ -2010,7 +2010,7 @@
 	}
 
 	sl->sl_trans_op = SL_OP_NONE;
-	atomic_add_32(&sbd_lu_count, 1);
+	atomic_inc_32(&sbd_lu_count);
 	return (0);
 
 scm_err_out:
@@ -2184,7 +2184,7 @@
 	}
 
 	sl->sl_trans_op = SL_OP_NONE;
-	atomic_add_32(&sbd_lu_count, 1);
+	atomic_inc_32(&sbd_lu_count);
 	return (0);
 
 scs_err_out:
@@ -2543,7 +2543,7 @@
 		if (ret) {
 			goto sim_err_out;
 		}
-		atomic_add_32(&sbd_lu_count, 1);
+		atomic_inc_32(&sbd_lu_count);
 	}
 
 	bcopy(sl->sl_device_id + 4, ilu->ilu_ret_guid, 16);
@@ -2949,7 +2949,7 @@
 sdl_do_dereg:;
 	if (stmf_deregister_lu(sl->sl_lu) != STMF_SUCCESS)
 		return (EBUSY);
-	atomic_add_32(&sbd_lu_count, -1);
+	atomic_dec_32(&sbd_lu_count);
 
 	return (sbd_close_delete_lu(sl, 0));
 }
--- old/usr/src/uts/common/io/comstar/port/fcoet/fcoet.h	2014-07-28 07:44:32.213255935 -0400
+++ new/usr/src/uts/common/io/comstar/port/fcoet/fcoet.h	2014-07-28 07:44:32.219265448 -0400
@@ -223,8 +223,8 @@
  * These two situation should seldom happen. But just invoke this seems won't
  * downgrade the performance too much, so we keep it.
  */
-#define	FCOET_BUSY_XCHG(xch)	atomic_add_8(&(xch)->xch_ref, 1)
-#define	FCOET_RELE_XCHG(xch)	atomic_add_8(&(xch)->xch_ref, -1)
+#define	FCOET_BUSY_XCHG(xch)	atomic_inc_8(&(xch)->xch_ref)
+#define	FCOET_RELE_XCHG(xch)	atomic_dec_8(&(xch)->xch_ref)
 
 #define	XCH_FLAG_NONFCP_REQ_SENT	0x0001
 #define	XCH_FLAG_NONFCP_RESP_SENT	0x0002
--- old/usr/src/uts/common/io/comstar/port/fcoet/fcoet_fc.c	2014-07-28 07:44:32.385899972 -0400
+++ new/usr/src/uts/common/io/comstar/port/fcoet/fcoet_fc.c	2014-07-28 07:44:32.392079274 -0400
@@ -304,7 +304,7 @@
 		FFM_S_ID(cmd->cmd_lportid, frm);
 		FFM_D_ID(cmd->cmd_rportid, frm);
 		FFM_SEQ_CNT(xch->xch_sequence_no, frm);
-		atomic_add_8(&xch->xch_sequence_no, 1);
+		atomic_inc_8(&xch->xch_sequence_no);
 		FFM_PARAM(offset, frm);
 		offset += data_size;
 		left_size -= data_size;
@@ -938,9 +938,9 @@
 		fcoet_init_tfm(frm, NULL);
 		bzero(frm->frm_payload, frm->frm_payload_size);
 	}
-	xch_oxid = atomic_add_16_nv(&ss->ss_next_sol_oxid, 1);
+	xch_oxid = atomic_inc_16_nv(&ss->ss_next_sol_oxid);
 	if (xch_oxid == 0xFFFF) {
-		xch_oxid = atomic_add_16_nv(&ss->ss_next_sol_oxid, 1);
+		xch_oxid = atomic_inc_16_nv(&ss->ss_next_sol_oxid);
 	}
 	FFM_R_CTL(0x22, frm);
 	FRM2TFM(frm)->tfm_rctl = 0x22;
--- old/usr/src/uts/common/io/comstar/port/fct/discovery.c	2014-07-28 07:44:32.581633048 -0400
+++ new/usr/src/uts/common/io/comstar/port/fct/discovery.c	2014-07-28 07:44:32.587816790 -0400
@@ -938,7 +938,7 @@
 		fct_post_to_discovery_queue(iport, irp, NULL);
 
 		/* A PLOGI also invalidates any RSCNs related to this rp */
-		atomic_add_32(&irp->irp_rscn_counter, 1);
+		atomic_inc_32(&irp->irp_rscn_counter);
 	} else {
 		/*
 		 * For everything else, we have (or be able to lookup) a
@@ -983,7 +983,7 @@
 		 */
 		atomic_or_32(&icmd->icmd_flags, ICMD_IMPLICIT_CMD_HAS_RESOURCE);
 	}
-	atomic_add_16(&irp->irp_nonfcp_xchg_count, 1);
+	atomic_inc_16(&irp->irp_nonfcp_xchg_count);
 
 	/*
 	 * Grab the remote port lock while we modify the port state.
@@ -998,13 +998,13 @@
 		if ((op == ELS_OP_PLOGI) || (op == ELS_OP_LOGO)) {
 			rf |= IRP_PLOGI_DONE;
 			if (irp->irp_flags & IRP_PLOGI_DONE)
-				atomic_add_32(&iport->iport_nrps_login, -1);
+				atomic_dec_32(&iport->iport_nrps_login);
 		}
-		atomic_add_16(&irp->irp_sa_elses_count, 1);
+		atomic_inc_16(&irp->irp_sa_elses_count);
 		atomic_and_32(&irp->irp_flags, ~rf);
 		atomic_or_32(&icmd->icmd_flags, ICMD_SESSION_AFFECTING);
 	} else {
-		atomic_add_16(&irp->irp_nsa_elses_count, 1);
+		atomic_inc_16(&irp->irp_nsa_elses_count);
 	}
 
 	fct_post_to_discovery_queue(iport, irp, icmd);
@@ -1160,7 +1160,7 @@
 		iport->iport_rp_slots[rp->rp_handle] = irp;
 		atomic_or_32(&irp->irp_flags, IRP_HANDLE_OPENED);
 	}
-	(void) atomic_add_64_nv(&iport->iport_last_change, 1);
+	(void) atomic_inc_64_nv(&iport->iport_last_change);
 	fct_log_remote_port_event(port, ESC_SUNFC_TARGET_ADD,
 	    rp->rp_pwwn, rp->rp_id);
 
@@ -1205,7 +1205,7 @@
 		atomic_and_32(&irp->irp_flags, ~IRP_HANDLE_OPENED);
 		iport->iport_rp_slots[rp->rp_handle] = NULL;
 	}
-	(void) atomic_add_64_nv(&iport->iport_last_change, 1);
+	(void) atomic_inc_64_nv(&iport->iport_last_change);
 	fct_log_remote_port_event(port, ESC_SUNFC_TARGET_REMOVE,
 	    rp->rp_pwwn, rp->rp_id);
 
@@ -1511,12 +1511,12 @@
 			}
 		}
 	}
-	atomic_add_16(&irp->irp_sa_elses_count, -1);
+	atomic_dec_16(&irp->irp_sa_elses_count);
 
 	if (ret == FCT_SUCCESS) {
 		if (cmd_type == FCT_CMD_RCVD_ELS) {
 			atomic_or_32(&irp->irp_flags, IRP_PLOGI_DONE);
-			atomic_add_32(&iport->iport_nrps_login, 1);
+			atomic_inc_32(&iport->iport_nrps_login);
 			if (irp->irp_deregister_timer)
 				irp->irp_deregister_timer = 0;
 		}
@@ -1597,7 +1597,7 @@
 			    els->els_req_size, els->els_req_payload[6]);
 
 		fct_dequeue_els(irp);
-		atomic_add_16(&irp->irp_sa_elses_count, -1);
+		atomic_dec_16(&irp->irp_sa_elses_count);
 		ret = fct_send_accrjt(cmd, ELS_OP_LSRJT, 3, 0x2c);
 		goto prli_end;
 	}
@@ -1671,7 +1671,7 @@
 	}
 
 	fct_dequeue_els(irp);
-	atomic_add_16(&irp->irp_sa_elses_count, -1);
+	atomic_dec_16(&irp->irp_sa_elses_count);
 	if (ses == NULL) {
 		/* fail PRLI */
 		ret = fct_send_accrjt(cmd, ELS_OP_LSRJT, 3, 0);
@@ -1775,7 +1775,7 @@
 	}
 
 	fct_dequeue_els(irp);
-	atomic_add_16(&irp->irp_sa_elses_count, -1);
+	atomic_dec_16(&irp->irp_sa_elses_count);
 
 	/* don't send response if this is an implicit logout cmd */
 	if (!(icmd->icmd_flags & ICMD_IMPLICIT)) {
@@ -1886,7 +1886,7 @@
 	}
 
 	fct_dequeue_els(irp);
-	atomic_add_16(&irp->irp_sa_elses_count, -1);
+	atomic_dec_16(&irp->irp_sa_elses_count);
 	ret = fct_send_accrjt(cmd, ELS_OP_ACC, 0, 0);
 	if (ret != FCT_SUCCESS)
 		fct_queue_cmd_for_termination(cmd, ret);
@@ -1911,7 +1911,7 @@
 	fct_status_t		ret;
 
 	fct_dequeue_els(irp);
-	atomic_add_16(&irp->irp_nsa_elses_count, -1);
+	atomic_dec_16(&irp->irp_nsa_elses_count);
 
 	/* Validate the adisc request */
 	p = els->els_req_payload;
@@ -1949,7 +1949,7 @@
 
 	ASSERT(icmd->icmd_cmd->cmd_type == FCT_CMD_RCVD_ELS);
 	fct_dequeue_els(ICMD_TO_IRP(icmd));
-	atomic_add_16(&ICMD_TO_IRP(icmd)->irp_nsa_elses_count, -1);
+	atomic_dec_16(&ICMD_TO_IRP(icmd)->irp_nsa_elses_count);
 	op = ICMD_TO_ELS(icmd)->els_req_payload[0];
 	stmf_trace(iport->iport_alias, "Rejecting unknown unsol els %x (%s)",
 	    op, FCT_ELS_NAME(op));
@@ -1971,7 +1971,7 @@
 	uint32_t		 rscn_req_size;
 
 	fct_dequeue_els(ICMD_TO_IRP(icmd));
-	atomic_add_16(&ICMD_TO_IRP(icmd)->irp_nsa_elses_count, -1);
+	atomic_dec_16(&ICMD_TO_IRP(icmd)->irp_nsa_elses_count);
 	if (icmd->icmd_cmd->cmd_type == FCT_CMD_RCVD_ELS) {
 		op = ICMD_TO_ELS(icmd)->els_req_payload[0];
 		stmf_trace(iport->iport_alias, "Accepting RSCN %x (%s)",
@@ -2068,9 +2068,9 @@
 			fct_i_cmd_t *c = (*ppcmd)->icmd_next;
 
 			if ((*ppcmd)->icmd_flags & ICMD_SESSION_AFFECTING)
-				atomic_add_16(&irp->irp_sa_elses_count, -1);
+				atomic_dec_16(&irp->irp_sa_elses_count);
 			else
-				atomic_add_16(&irp->irp_nsa_elses_count, -1);
+				atomic_dec_16(&irp->irp_nsa_elses_count);
 			(*ppcmd)->icmd_next = cmd_to_abort;
 			cmd_to_abort = *ppcmd;
 			*ppcmd = c;
@@ -2125,7 +2125,7 @@
 		fct_local_port_t *port = iport->iport_port;
 
 		fct_dequeue_els(irp);
-		atomic_add_16(&irp->irp_nsa_elses_count, -1);
+		atomic_dec_16(&irp->irp_nsa_elses_count);
 		atomic_or_32(&icmd->icmd_flags, ICMD_KNOWN_TO_FCA);
 		if ((s = port->port_send_cmd(cmd)) != FCT_SUCCESS) {
 			atomic_and_32(&icmd->icmd_flags, ~ICMD_KNOWN_TO_FCA);
@@ -2179,7 +2179,7 @@
 		stmf_wwn_to_devid_desc((scsi_devid_desc_t *)irp->irp_id,
 		    irp->irp_rp->rp_pwwn, PROTOCOL_FIBRE_CHANNEL);
 		atomic_or_32(&irp->irp_flags, IRP_PLOGI_DONE);
-		atomic_add_32(&iport->iport_nrps_login, 1);
+		atomic_inc_32(&iport->iport_nrps_login);
 		if (irp->irp_deregister_timer) {
 			irp->irp_deregister_timer = 0;
 			irp->irp_dereg_count = 0;
@@ -2225,7 +2225,7 @@
 		iport->iport_cached_cmdlist = icmd->icmd_next;
 		iport->iport_cached_ncmds--;
 		mutex_exit(&iport->iport_cached_cmd_lock);
-		atomic_add_32(&iport->iport_total_alloced_ncmds, -1);
+		atomic_dec_32(&iport->iport_total_alloced_ncmds);
 		fct_free(icmd->icmd_cmd);
 	}
 	mutex_enter(&iport->iport_worker_lock);
@@ -2374,7 +2374,7 @@
 	rw_exit(&irp->irp_lock);
 	rw_exit(&iport->iport_lock);
 
-	atomic_add_16(&irp->irp_nonfcp_xchg_count, 1);
+	atomic_inc_16(&irp->irp_nonfcp_xchg_count);
 	atomic_or_32(&icmd->icmd_flags, ICMD_KNOWN_TO_FCA);
 	icmd->icmd_start_time = ddi_get_lbolt();
 	ret = iport->iport_port->port_send_cmd(cmd);
@@ -2763,7 +2763,7 @@
 	    fct_gid_cb);						\
 	if (ct_cmd) {							\
 		uint32_t cnt;						\
-		cnt = atomic_add_32_nv(&irp->irp_rscn_counter, 1);	\
+		cnt = atomic_inc_32_nv(&irp->irp_rscn_counter);	\
 		CMD_TO_ICMD(ct_cmd)->icmd_cb_private =			\
 		    INT2PTR(cnt, void *);				\
 		irp->irp_flags |= IRP_RSCN_QUEUED;			\
--- old/usr/src/uts/common/io/comstar/port/fct/fct.c	2014-07-28 07:44:32.859432750 -0400
+++ new/usr/src/uts/common/io/comstar/port/fct/fct.c	2014-07-28 07:44:32.865498062 -0400
@@ -1162,7 +1162,7 @@
 	stmf_wwn_to_devid_desc((scsi_devid_desc_t *)iport->iport_id,
 	    port->port_pwwn, PROTOCOL_FIBRE_CHANNEL);
 	(void) snprintf(taskq_name, sizeof (taskq_name), "stmf_fct_taskq_%d",
-	    atomic_add_32_nv(&taskq_cntr, 1));
+	    atomic_inc_32_nv(&taskq_cntr));
 	if ((iport->iport_worker_taskq = ddi_taskq_create(NULL,
 	    taskq_name, 1, TASKQ_DEFAULTPRI, 0)) == NULL) {
 		return (FCT_FAILURE);
@@ -1440,7 +1440,7 @@
 	while (irp_next != NULL) {
 		if (irp == irp_next) {
 			if (irp->irp_flags & IRP_PLOGI_DONE) {
-				atomic_add_32(&iport->iport_nrps_login, -1);
+				atomic_dec_32(&iport->iport_nrps_login);
 			}
 			atomic_and_32(&irp->irp_flags,
 			    ~(IRP_PLOGI_DONE | IRP_PRLI_DONE));
@@ -1678,7 +1678,7 @@
 		icmd = (fct_i_cmd_t *)cmd->cmd_fct_private;
 		icmd->icmd_next = NULL;
 		cmd->cmd_port = port;
-		atomic_add_32(&iport->iport_total_alloced_ncmds, 1);
+		atomic_inc_32(&iport->iport_total_alloced_ncmds);
 	}
 
 	/*
@@ -1701,7 +1701,7 @@
 		fct_cmd_free(cmd);
 		return (NULL);
 	}
-	atomic_add_16(&irp->irp_fcp_xchg_count, 1);
+	atomic_inc_16(&irp->irp_fcp_xchg_count);
 	cmd->cmd_rp = rp;
 	icmd->icmd_flags |= ICMD_IN_TRANSITION | ICMD_KNOWN_TO_FCA;
 	rw_exit(&irp->irp_lock);
@@ -1826,15 +1826,15 @@
 
 	rw_enter(&irp->irp_lock, RW_WRITER);
 	atomic_or_32(&icmd->icmd_flags, ICMD_IMPLICIT_CMD_HAS_RESOURCE);
-	atomic_add_16(&irp->irp_nonfcp_xchg_count, 1);
-	atomic_add_16(&irp->irp_sa_elses_count, 1);
+	atomic_inc_16(&irp->irp_nonfcp_xchg_count);
+	atomic_inc_16(&irp->irp_sa_elses_count);
 	/*
 	 * An implicit LOGO can also be posted to a irp where a PLOGI might
 	 * be in process. That PLOGI will reset this flag and decrement the
 	 * iport_nrps_login counter.
 	 */
 	if (irp->irp_flags & IRP_PLOGI_DONE) {
-		atomic_add_32(&iport->iport_nrps_login, -1);
+		atomic_dec_32(&iport->iport_nrps_login);
 	}
 	atomic_and_32(&irp->irp_flags, ~(IRP_PLOGI_DONE | IRP_PRLI_DONE));
 	atomic_or_32(&icmd->icmd_flags, ICMD_SESSION_AFFECTING);
@@ -1865,7 +1865,7 @@
 		new |= iport->iport_cmd_slots[cmd_slot].slot_next;
 	} while (atomic_cas_32(&iport->iport_next_free_slot, old, new) != old);
 
-	atomic_add_16(&iport->iport_nslots_free, -1);
+	atomic_dec_16(&iport->iport_nslots_free);
 	iport->iport_cmd_slots[cmd_slot].slot_cmd = icmd;
 	cmd->cmd_handle = (uint32_t)cmd_slot | 0x80000000 |
 	    (((uint32_t)(iport->iport_cmd_slots[cmd_slot].slot_uniq_cntr))
@@ -2072,14 +2072,14 @@
 		} while (atomic_cas_32(&iport->iport_next_free_slot,
 		    old, new) != old);
 		cmd->cmd_handle = 0;
-		atomic_add_16(&iport->iport_nslots_free, 1);
+		atomic_inc_16(&iport->iport_nslots_free);
 		if (cmd->cmd_rp) {
 			irp = (fct_i_remote_port_t *)
 			    cmd->cmd_rp->rp_fct_private;
 			if (cmd->cmd_type == FCT_CMD_FCP_XCHG)
-				atomic_add_16(&irp->irp_fcp_xchg_count, -1);
+				atomic_dec_16(&irp->irp_fcp_xchg_count);
 			else
-				atomic_add_16(&irp->irp_nonfcp_xchg_count, -1);
+				atomic_dec_16(&irp->irp_nonfcp_xchg_count);
 		}
 		rw_exit(&iport->iport_lock);
 	} else if ((icmd->icmd_flags & ICMD_IMPLICIT) &&
@@ -2089,9 +2089,9 @@
 			irp = (fct_i_remote_port_t *)
 			    cmd->cmd_rp->rp_fct_private;
 			if (cmd->cmd_type == FCT_CMD_FCP_XCHG)
-				atomic_add_16(&irp->irp_fcp_xchg_count, -1);
+				atomic_dec_16(&irp->irp_fcp_xchg_count);
 			else
-				atomic_add_16(&irp->irp_nonfcp_xchg_count, -1);
+				atomic_dec_16(&irp->irp_nonfcp_xchg_count);
 		}
 	}
 
@@ -2126,7 +2126,7 @@
 			iport->iport_cached_ncmds++;
 			mutex_exit(&iport->iport_cached_cmd_lock);
 		} else {
-			atomic_add_32(&iport->iport_total_alloced_ncmds, -1);
+			atomic_dec_32(&iport->iport_total_alloced_ncmds);
 			fct_free(cmd);
 		}
 	} else {
--- old/usr/src/uts/common/io/comstar/port/qlt/qlt.c	2014-07-28 07:44:33.153133727 -0400
+++ new/usr/src/uts/common/io/comstar/port/qlt/qlt.c	2014-07-28 07:44:33.159277824 -0400
@@ -1799,7 +1799,7 @@
 			    qlt->fw_length02) << 2);
 			qlt->fw_code01 = NULL;
 		} else {
-			atomic_add_32(&qlt_loaded_counter, 1);
+			atomic_inc_32(&qlt_loaded_counter);
 		}
 		qlt->fw_length01 = intp[3];
 		qlt->fw_code01 = (uint32_t *)kmem_alloc(iocd->stmf_ibuf_size,
@@ -1816,7 +1816,7 @@
 			kmem_free(qlt->fw_code01, (qlt->fw_length01 +
 			    qlt->fw_length02) << 2);
 			qlt->fw_code01 = NULL;
-			atomic_add_32(&qlt_loaded_counter, -1);
+			atomic_dec_32(&qlt_loaded_counter);
 		}
 		break;
 
@@ -4671,7 +4671,7 @@
 
 #ifdef DEBUG
 	if (qlt_drop_abort_counter > 0) {
-		if (atomic_add_32_nv(&qlt_drop_abort_counter, -1) == 1)
+		if (atomic_dec_32_nv(&qlt_drop_abort_counter) == 1)
 			return (FCT_SUCCESS);
 	}
 #endif
--- old/usr/src/uts/common/io/comstar/stmf/lun_map.c	2014-07-28 07:44:33.547691760 -0400
+++ new/usr/src/uts/common/io/comstar/stmf/lun_map.c	2014-07-28 07:44:33.553704924 -0400
@@ -267,7 +267,7 @@
 				}
 				ilu = (stmf_i_lu_t *)
 				    ent->ent_lu->lu_stmf_private;
-				atomic_add_32(&ilu->ilu_ref_cnt, -1);
+				atomic_dec_32(&ilu->ilu_ref_cnt);
 				kmem_free(sm->lm_plus[n],
 				    sizeof (stmf_lun_map_ent_t));
 			}
@@ -420,7 +420,7 @@
 	lun_map_ent->ent_lu = lu;
 	ret = stmf_add_ent_to_map(sm, (void *)lun_map_ent, lu_nbr);
 	ASSERT(ret == STMF_SUCCESS);
-	atomic_add_32(&ilu->ilu_ref_cnt, 1);
+	atomic_inc_32(&ilu->ilu_ref_cnt);
 	/*
 	 * do not set lun inventory flag for standby port
 	 * as this would be handled from peer
@@ -457,7 +457,7 @@
 
 	ret = stmf_remove_ent_from_map(sm, lu_nbr);
 	ASSERT(ret == STMF_SUCCESS);
-	atomic_add_32(&ilu->ilu_ref_cnt, -1);
+	atomic_dec_32(&ilu->ilu_ref_cnt);
 	iss->iss_flags |= ISS_LUN_INVENTORY_CHANGED;
 	if (lun_map_ent->ent_itl_datap) {
 		stmf_do_itl_dereg(lu, lun_map_ent->ent_itl_datap,
@@ -684,7 +684,7 @@
 		idlist->idl_tail->id_next = id;
 		idlist->idl_tail = id;
 	}
-	atomic_add_32(&idlist->id_count, 1);
+	atomic_inc_32(&idlist->id_count);
 }
 
 void
@@ -701,7 +701,7 @@
 	} else {
 		idlist->idl_head = id->id_next;
 	}
-	atomic_add_32(&idlist->id_count, -1);
+	atomic_dec_32(&idlist->id_count);
 }
 
 
--- old/usr/src/uts/common/io/comstar/stmf/stmf.c	2014-07-28 07:44:33.774574052 -0400
+++ new/usr/src/uts/common/io/comstar/stmf/stmf.c	2014-07-28 07:44:33.780865443 -0400
@@ -2094,7 +2094,7 @@
 			}
 			if (alua_state->alua_node != 0) {
 				ilport->ilport_rtpid =
-				    atomic_add_16_nv(&stmf_rtpid_counter, 1);
+				    atomic_inc_16_nv(&stmf_rtpid_counter);
 			}
 			lport = ilport->ilport_lport;
 			ic_reg_port = ic_reg_port_msg_alloc(
@@ -3253,7 +3253,7 @@
 	 * and ports that are alua participants (ilport_alua == 1)
 	 */
 	if (ilport->ilport_standby == 0) {
-		ilport->ilport_rtpid = atomic_add_16_nv(&stmf_rtpid_counter, 1);
+		ilport->ilport_rtpid = atomic_inc_16_nv(&stmf_rtpid_counter);
 	}
 
 	if (stmf_state.stmf_alua_state == 1 &&
@@ -3595,7 +3595,7 @@
 	mutex_exit(&stmf_state.stmf_lock);
 
 	iss->iss_creation_time = ddi_get_time();
-	ss->ss_session_id = atomic_add_64_nv(&stmf_session_counter, 1);
+	ss->ss_session_id = atomic_inc_64_nv(&stmf_session_counter);
 	iss->iss_flags &= ~ISS_BEING_CREATED;
 	/* XXX should we remove ISS_LUN_INVENTORY_CHANGED on new session? */
 	iss->iss_flags &= ~ISS_LUN_INVENTORY_CHANGED;
@@ -3794,7 +3794,7 @@
 
 	ASSERT(itl->itl_counter);
 
-	if (atomic_add_32_nv(&itl->itl_counter, -1))
+	if (atomic_dec_32_nv(&itl->itl_counter))
 		return;
 
 	stmf_release_itl_handle(lu, itl);
@@ -4152,12 +4152,12 @@
 	}
 
 	itask->itask_ilu_task_cntr = ilu->ilu_cur_task_cntr;
-	atomic_add_32(itask->itask_ilu_task_cntr, 1);
+	atomic_inc_32(itask->itask_ilu_task_cntr);
 	itask->itask_start_time = ddi_get_lbolt();
 
 	if ((lun_map_ent != NULL) && ((itask->itask_itl_datap =
 	    lun_map_ent->ent_itl_datap) != NULL)) {
-		atomic_add_32(&itask->itask_itl_datap->itl_counter, 1);
+		atomic_inc_32(&itask->itask_itl_datap->itl_counter);
 		task->task_lu_itl_handle = itask->itask_itl_datap->itl_handle;
 	} else {
 		itask->itask_itl_datap = NULL;
@@ -4185,7 +4185,7 @@
 	if (ilu->ilu_ntasks == ilu->ilu_ntasks_free)
 		cv_signal(&ilu->ilu_offline_pending_cv);
 	mutex_exit(&ilu->ilu_task_lock);
-	atomic_add_32(itask->itask_ilu_task_cntr, -1);
+	atomic_dec_32(itask->itask_ilu_task_cntr);
 }
 
 void
@@ -4408,8 +4408,8 @@
 	    hrtime_t,
 	    itask->itask_done_timestamp - itask->itask_start_timestamp);
 	if (itask->itask_itl_datap) {
-		if (atomic_add_32_nv(&itask->itask_itl_datap->itl_counter,
-		    -1) == 0) {
+		if (atomic_dec_32_nv(&itask->itask_itl_datap->itl_counter) ==
+		    0) {
 			stmf_release_itl_handle(task->task_lu,
 			    itask->itask_itl_datap);
 		}
@@ -4418,8 +4418,8 @@
 	rw_enter(iss->iss_lockp, RW_READER);
 	lport->lport_task_free(task);
 	if (itask->itask_worker) {
-		atomic_add_32(&stmf_cur_ntasks, -1);
-		atomic_add_32(&itask->itask_worker->worker_ref_count, -1);
+		atomic_dec_32(&stmf_cur_ntasks);
+		atomic_dec_32(&itask->itask_worker->worker_ref_count);
 	}
 	/*
 	 * After calling stmf_task_lu_free, the task pointer can no longer
@@ -4445,10 +4445,10 @@
 		task->task_max_nbufs = 4;
 	task->task_cur_nbufs = 0;
 	/* Latest value of currently running tasks */
-	ct = atomic_add_32_nv(&stmf_cur_ntasks, 1);
+	ct = atomic_inc_32_nv(&stmf_cur_ntasks);
 
 	/* Select the next worker using round robin */
-	nv = (int)atomic_add_32_nv((uint32_t *)&stmf_worker_sel_counter, 1);
+	nv = (int)atomic_inc_32_nv((uint32_t *)&stmf_worker_sel_counter);
 	if (nv >= stmf_nworkers_accepting_cmds) {
 		int s = nv;
 		do {
@@ -4525,7 +4525,7 @@
 	}
 	/* Measure task waitq time */
 	itask->itask_waitq_enter_timestamp = gethrtime();
-	atomic_add_32(&w->worker_ref_count, 1);
+	atomic_inc_32(&w->worker_ref_count);
 	itask->itask_cmd_stack[0] = ITASK_CMD_NEW_TASK;
 	itask->itask_ncmds = 1;
 	stmf_task_audit(itask, TE_TASK_START, CMD_OR_IOF_NA, dbuf);
@@ -4613,7 +4613,7 @@
 		return (STMF_ABORTED);
 #ifdef	DEBUG
 	if (!(ioflags & STMF_IOF_STATS_ONLY) && stmf_drop_buf_counter > 0) {
-		if (atomic_add_32_nv((uint32_t *)&stmf_drop_buf_counter, -1) ==
+		if (atomic_dec_32_nv((uint32_t *)&stmf_drop_buf_counter) ==
 		    1)
 			return (STMF_SUCCESS);
 	}
@@ -5710,7 +5710,7 @@
 
 	p = (uint8_t *)lu_id;
 
-	gen_number = atomic_add_16_nv(&stmf_lu_id_gen_number, 1);
+	gen_number = atomic_inc_16_nv(&stmf_lu_id_gen_number);
 
 	p[0] = 0xf1; p[1] = 3; p[2] = 0; p[3] = 0x10;
 	p[4] = ((company_id >> 20) & 0xf) | 0x60;
@@ -6342,9 +6342,8 @@
 			}
 #ifdef	DEBUG
 			if (stmf_drop_task_counter > 0) {
-				if (atomic_add_32_nv(
-				    (uint32_t *)&stmf_drop_task_counter,
-				    -1) == 1) {
+				if (atomic_dec_32_nv((uint32_t *)&stmf_drop_task_counter) ==
+				    1) {
 					break;
 				}
 			}
--- old/usr/src/uts/common/io/cxgbe/t4nex/t4_l2t.c	2014-07-28 07:44:34.229598243 -0400
+++ new/usr/src/uts/common/io/cxgbe/t4nex/t4_l2t.c	2014-07-28 07:44:34.235877704 -0400
@@ -422,7 +422,7 @@
 	mutex_exit(&e->lock);
 
 	d = container_of(e, struct l2t_data, l2tab[e->idx]);
-	atomic_add_int(&d->nfree, 1);
+	atomic_inc_uint(&d->nfree);
 
 }
 
--- old/usr/src/uts/common/io/dld/dld_str.c	2014-07-28 07:44:34.411956153 -0400
+++ new/usr/src/uts/common/io/dld/dld_str.c	2014-07-28 07:44:34.418156544 -0400
@@ -604,7 +604,7 @@
 	/*
 	 * Allocate an object from the cache.
 	 */
-	atomic_add_32(&str_count, 1);
+	atomic_inc_32(&str_count);
 	dsp = kmem_cache_alloc(str_cachep, KM_SLEEP);
 
 	/*
@@ -613,7 +613,7 @@
 	dsp->ds_tx_flow_mp = allocb(1, BPRI_HI);
 	if (dsp->ds_tx_flow_mp == NULL) {
 		kmem_cache_free(str_cachep, dsp);
-		atomic_add_32(&str_count, -1);
+		atomic_dec_32(&str_count);
 		return (NULL);
 	}
 	dsp->ds_type = type;
@@ -710,7 +710,7 @@
 	 * Free the object back to the cache.
 	 */
 	kmem_cache_free(str_cachep, dsp);
-	atomic_add_32(&str_count, -1);
+	atomic_dec_32(&str_count);
 }
 
 /*
--- old/usr/src/uts/common/io/dls/dls_link.c	2014-07-28 07:44:34.650430241 -0400
+++ new/usr/src/uts/common/io/dls/dls_link.c	2014-07-28 07:44:34.656385825 -0400
@@ -361,7 +361,7 @@
 
 		DLS_PREPARE_PKT(dlp->dl_mh, mp, &mhi, err);
 		if (err != 0) {
-			atomic_add_32(&(dlp->dl_unknowns), 1);
+			atomic_inc_32(&(dlp->dl_unknowns));
 			nextp = mp->b_next;
 			mp->b_next = NULL;
 			freemsg(mp);
@@ -535,7 +535,7 @@
 	}
 
 drop:
-	atomic_add_32(&dlp->dl_unknowns, 1);
+	atomic_inc_32(&dlp->dl_unknowns);
 	freemsg(mp);
 }
 
@@ -575,7 +575,7 @@
 	return;
 
 drop:
-	atomic_add_32(&dlp->dl_unknowns, 1);
+	atomic_inc_32(&dlp->dl_unknowns);
 	freemsg(mp);
 }
 
@@ -732,7 +732,7 @@
 	    (mod_hash_val_t)dlp);
 	ASSERT(err == 0);
 
-	atomic_add_32(&i_dls_link_count, 1);
+	atomic_inc_32(&i_dls_link_count);
 	ASSERT(i_dls_link_count != 0);
 
 done:
@@ -819,7 +819,7 @@
 		 */
 		i_dls_link_destroy(dlp);
 		ASSERT(i_dls_link_count > 0);
-		atomic_add_32(&i_dls_link_count, -1);
+		atomic_dec_32(&i_dls_link_count);
 	}
 }
 
--- old/usr/src/uts/common/io/drm/drm_atomic.h	2014-07-28 07:44:34.845516240 -0400
+++ new/usr/src/uts/common/io/drm/drm_atomic.h	2014-07-28 07:44:34.851492287 -0400
@@ -55,7 +55,7 @@
 
 #define	atomic_set(p, v)	(*(p) = (v))
 #define	atomic_read(p)		(*(p))
-#define	atomic_inc(p)		atomic_add_int(p, 1)
+#define	atomic_inc(p)		atomic_inc_uint(p)
 #define	atomic_dec(p)		atomic_dec_uint(p)
 #define	atomic_add(n, p)	atomic_add_int(p, n)
 #define	atomic_sub(n, p)	atomic_add_int(p, -n)
--- old/usr/src/uts/common/io/fcoe/fcoe.c	2014-07-28 07:44:35.012232447 -0400
+++ new/usr/src/uts/common/io/fcoe/fcoe.c	2014-07-28 07:44:35.018309972 -0400
@@ -1152,7 +1152,7 @@
 	fcoe_i_frame_t	*fmi;
 	int		ret;
 
-	atomic_add_32(&fcoe_nworkers_running, 1);
+	atomic_inc_32(&fcoe_nworkers_running);
 	mutex_enter(&w->worker_lock);
 	w->worker_flags |= FCOE_WORKER_STARTED | FCOE_WORKER_ACTIVE;
 	while ((w->worker_flags & FCOE_WORKER_TERMINATE) == 0) {
@@ -1181,7 +1181,7 @@
 	}
 	w->worker_flags &= ~(FCOE_WORKER_STARTED | FCOE_WORKER_ACTIVE);
 	mutex_exit(&w->worker_lock);
-	atomic_add_32(&fcoe_nworkers_running, -1);
+	atomic_dec_32(&fcoe_nworkers_running);
 	list_destroy(&w->worker_frm_list);
 }
 
--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_sli3.c	2014-07-28 07:44:35.218736480 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_sli3.c	2014-07-28 07:44:35.224918159 -0400
@@ -4808,7 +4808,7 @@
 			}
 #endif /* SFCT_SUPPORT */
 			cp->hbaCmplCmd_sbp++;
-			atomic_add_32(&hba->io_active, -1);
+			atomic_dec_32(&hba->io_active);
 
 			/* Copy entry to sbp's iocbq */
 			iocbq = &sbp->iocbq;
@@ -5218,7 +5218,7 @@
 		sbp->pkt_flags |= PACKET_IN_CHIPQ;
 		mutex_exit(&sbp->mtx);
 
-		atomic_add_32(&hba->io_active, 1);
+		atomic_inc_32(&hba->io_active);
 
 #ifdef SFCT_SUPPORT
 #ifdef FCT_IO_TRACE
--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_sli4.c	2014-07-28 07:44:35.595193745 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_sli4.c	2014-07-28 07:44:35.601438595 -0400
@@ -1991,7 +1991,7 @@
 			sbp->pkt_flags |= PACKET_IN_CHIPQ;
 			mutex_exit(&sbp->mtx);
 
-			atomic_add_32(&hba->io_active, 1);
+			atomic_inc_32(&hba->io_active);
 			sbp->xrip->flag |= EMLXS_XRI_PENDING_IO;
 		}
 
@@ -3869,7 +3869,7 @@
 #endif /* FCT_IO_TRACE */
 #endif /* SFCT_SUPPORT */
 
-		atomic_add_32(&hba->io_active, -1);
+		atomic_dec_32(&hba->io_active);
 
 		/* Copy entry to sbp's iocbq */
 		iocbq = &sbp->iocbq;
@@ -3963,7 +3963,7 @@
 
 	mutex_enter(&EMLXS_FCTAB_LOCK);
 	sbp = hba->fc_table[request_tag];
-	atomic_add_32(&hba->io_active, -1);
+	atomic_dec_32(&hba->io_active);
 
 	if (sbp == STALE_PACKET) {
 		cp->hbaCmplCmd_sbp++;
--- old/usr/src/uts/common/io/fibre-channel/fca/fcoei/fcoei.c	2014-07-28 07:44:35.992970523 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/fcoei/fcoei.c	2014-07-28 07:44:35.999095778 -0400
@@ -773,7 +773,7 @@
 			break;
 
 		case AE_EVENT_PORT:
-			atomic_add_32(&ss->ss_port_event_counter, -1);
+			atomic_dec_32(&ss->ss_port_event_counter);
 			/* FALLTHROUGH */
 
 		case AE_EVENT_RESET:
